changeset 1115:81bae2e7bc66

Control image to run the busybox test suite.
author Rob Landley <rob@landley.net>
date Wed, 16 Jun 2010 08:03:12 -0500
parents be94bf38648b
children 2b68517f5b62
files sources/native-builds/busybox-test.sh
diffstat 1 files changed, 36 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sources/native-builds/busybox-test.sh	Wed Jun 16 08:03:12 2010 -0500
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# Run the busybox test suite.
+
+source sources/include.sh || exit 1
+
+[ $# -ne 1 ] && echo "usage: $0 FILENAME" >&2 && exit 1
+[ -e "$1" ] && echo "$1" exists && exit 0
+
+WORK="$WORK"/busybox-test && blank_tempdir "$WORK"
+
+# Don't download busybox, it's got to already be there in standard sources.
+
+setupfor busybox
+cd "$TOP"
+
+cat > "$WORK"/init << 'EOF' || dienow
+#!/bin/bash
+
+echo === $HOST Run busybox test suite
+
+cp -sfR /mnt/busybox busybox && cd busybox &&
+make defconfig &&
+ln -s /bin/busybox busybox &&
+cd testsuite &&
+./runtest &&
+cd .. &&
+rm -rf busybox || exit 1
+
+sync
+
+EOF
+
+chmod +x "$WORK"/init || dienow
+
+mksquashfs "$WORK" "$1" -noappend -all-root